# Interface MutationInputLink

interface MutationInputLink {
from?: MutationInputLink | {
data: MutationInputLink;
};
from_id?: number;
id?: number;
in?: MutationInputLink | MutationInputLink[] | {
data: MutationInputLink | MutationInputLink[];
};
number?: number | {
data: MutationInputValue<number>;
};
object?: any;
out?: MutationInputLink | MutationInputLink[] | {
data: MutationInputLink | MutationInputLink[];
};
string?: string | {
data: MutationInputValue<string>;
};
to?: MutationInputLink | {
data: MutationInputLink;
};
to_id?: number;
type_id?: number;
typed?: {
data: MutationInputLink | MutationInputLink[];
};
}

#### Hierarchy (view full)

- MutationInputLinkPlain
  - MutationInputLink

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:191

#####
Index

### Properties

from?
from_id?
id?
in?
number?
object?
out?
string?
to?
to_id?
type_id?
typed?

## Properties

### `Optional` from

from?: MutationInputLink | {
data: MutationInputLink;
}

#### Type declaration

- ##### data: MutationInputLink

Overrides MutationInputLinkPlain.from

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:192

### `Optional` from_id

from_id?: number

Inherited from MutationInputLinkPlain.from_id

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:179

### `Optional` id

id?: number

Inherited from MutationInputLinkPlain.id

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:178

### `Optional` in

in?: MutationInputLink | MutationInputLink[] | {
data: MutationInputLink | MutationInputLink[];
}

#### Type declaration

- ##### data: MutationInputLink | MutationInputLink[]

Overrides MutationInputLinkPlain.in

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:195

### `Optional` number

number?: number | {
data: MutationInputValue<number>;
}

#### Type declaration

- ##### data: MutationInputValue<number>

Overrides MutationInputLinkPlain.number

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:196

### `Optional` object

object?: any

Overrides MutationInputLinkPlain.object

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:198

### `Optional` out

out?: MutationInputLink | MutationInputLink[] | {
data: MutationInputLink | MutationInputLink[];
}

#### Type declaration

- ##### data: MutationInputLink | MutationInputLink[]

Overrides MutationInputLinkPlain.out

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:194

### `Optional` string

string?: string | {
data: MutationInputValue<string>;
}

#### Type declaration

- ##### data: MutationInputValue<string>

Overrides MutationInputLinkPlain.string

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:197

### `Optional` to

to?: MutationInputLink | {
data: MutationInputLink;
}

#### Type declaration

- ##### data: MutationInputLink

Overrides MutationInputLinkPlain.to

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:193

### `Optional` to_id

to_id?: number

Inherited from MutationInputLinkPlain.to_id

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:180

### `Optional` type_id

type_id?: number

Inherited from MutationInputLinkPlain.type_id

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:181

### `Optional` typed

typed?: {
data: MutationInputLink | MutationInputLink[];
}

#### Type declaration

- ##### data: MutationInputLink | MutationInputLink[]

Overrides MutationInputLinkPlain.typed

- Defined in work/deeplinks/deeplinks/imports/client_types.ts:199

Generated using TypeDoc